#ifndef KWAYLAND_SERVER_SCREENMAP_H
#define KWAYLAND_SERVER_SCREENMAP_H

#include <KWayland/Server/kwaylandserver_export.h>
#include <QObject>

struct wl_resource;

namespace KWayland
{
namespace Server
{

class Display;
class ScreenMapV1InterfacePrivate;

class KWAYLANDSERVER_EXPORT ScreenMapV1Interface : public QObject
{
    Q_OBJECT
public:
    explicit ScreenMapV1Interface(Display *display, QObject *parent = nullptr);
    ~ScreenMapV1Interface() override;

Q_SIGNALS:
    void screenMapStatusChange(int touchDeviceId, QString mapToScreen);

private:
    QScopedPointer<ScreenMapV1InterfacePrivate> d;
};

}
}

Q_DECLARE_METATYPE(KWayland::Server::ScreenMapV1Interface *)

#endif